summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild')
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild37
1 files changed, 18 insertions, 19 deletions
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index fe886830e..b02f7aaca 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2016, 2017, 2018, 2019, 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2016, 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -157,7 +157,8 @@ rm -rf thunderbird-$RELEASEVER
rm -rf thunderbird-unpack
mkdir thunderbird-unpack
cd thunderbird-unpack
-tar xvf $CWD/thunderbird-$VERSION.source.tar.?z || exit 1
+echo "Extracting $CWD/thunderbird-$VERSION.source.tar.?z..."
+tar xf $CWD/thunderbird-$VERSION.source.tar.?z || exit 1
mv * ..
cd ..
rm -rf thunderbird-unpack
@@ -169,8 +170,13 @@ rm -rf obj-x86_64-pc-linux-gnu
# Retain GTK+ v2 scrolling behavior:
zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
-# Bypass a test that fails the build:
-zcat $CWD/gkrust.a.no.networking.check.diff.gz | patch -p1 --verbose || exit 1
+# Fix header mismatch on x86 with GCC:
+if [ "$ARCH" = "i686" -a "$CC" = "gcc" ]; then
+ zcat $CWD/double_t.x86.diff.gz | patch -p1 --verbose || exit 1
+fi
+
+# Don't define a function that's included starting in glibc-2.36:
+zcat $CWD/arc4random_buf.glibc-2.36.diff.gz | patch -p1 --verbose || exit 1
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
@@ -205,6 +211,9 @@ OPTIONS="\
--with-system-nss \
--with-system-nspr \
--enable-alsa \
+ --with-unsigned-addon-scopes=app,system \
+ --without-wasm-sandboxed-libraries \
+ --allow-addon-sideload \
--enable-application=comm/mail \
--enable-default-toolkit=cairo-gtk3-wayland \
--enable-linker=$LINKER \
@@ -237,7 +246,10 @@ if [ ! -z $MOZLOCALIZE ]; then
mail/installer/package-manifest.in || exit 1
fi
+# They say to use the second line, not the first.
+# But they're not the boss of me.
export MACH_USE_SYSTEM_PYTHON="1"
+#export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1
export MOZ_PHOENIX=1
@@ -246,6 +258,7 @@ export CXXFLAGS="$SLKCFLAGS"
export MOZ_MAKE_FLAGS="$NUMJOBS"
# Set the following variable to empty. =0 does not work.
export MOZ_REQUIRE_SIGNING=
+export MOZBUILD_STATE_PATH="$TMP/thunderbird-$RELEASEVER/.mozbuild"
# Clear some variables that could break the build
unset DBUS_SESSION_BUS_ADDRESS ORBIT_SOCKETDIR SESSION_MANAGER \
@@ -300,25 +313,11 @@ rm -rf $PKG/usr/include
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
mkdir -p $PKG/usr/share/applications
-cat $CWD/mozilla-thunderbird.desktop > $PKG/usr/share/applications/mozilla-thunderbird.desktop
+cat $CWD/thunderbird.desktop > $PKG/usr/share/applications/thunderbird.desktop
mkdir -p $PKG/usr/share/pixmaps
# Symlinked below.
#cat $CWD/thunderbird.png > $PKG/usr/share/pixmaps/thunderbird.png
-# These files/directories are usually created if Thunderbird is run as root,
-# which on many systems might (and possibly should) be never. Therefore, if we
-# don't see them we'll put stubs in place to prevent startup errors.
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/thunderbird-$RELEASEVER
- if [ -d extensions/talkback\@mozilla.org ]; then
- if [ ! -r extensions/talkback\@mozilla.org/chrome.manifest ]; then
- echo > extensions/talkback\@mozilla.org/chrome.manifest
- fi
- fi
- if [ ! -d updates ]; then
- mkdir -p updates/0
- fi
-)
-
# Need some default icons in the right place:
for i in 16 22 24 32 48 256; do
install -m 0644 -D comm/mail/branding/thunderbird/default${i}.png \